SystemOrganization addCategory: #'Comet-Tests-Core'!

!WAPlatformTest methodsFor: '*comet-tests-core' stamp: 'lr 3/16/2009 19:15'!
testForkCometProcessDo
	| semaphore seen |
	semaphore := self platform semaphoreClass new.
	seen := false.
	self platform forkCometProcessDo: [ seen := true. semaphore signal ].
	semaphore wait.
	self assert: seen! !

!WAPackage class methodsFor: '*comet-tests-core' stamp: 'lr 3/16/2009 19:21'!
cometTestsCore
	^ self new
		name: 'Comet-Tests-Core';
		description: 'Unit tests for the Comet-Core package.';
		addDependency: 'Javascript-Tests-Core';
		addDependency: 'Comet-Core';
		yourself! !

JSObjectTest subclass: #CTCometTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Comet-Tests-Core'!

!CTCometTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:55'!
comet
	^ CTComet context: self renderContext! !

!CTCometTest methodsFor: 'testing' stamp: 'lr 3/16/2009 19:24'!
testConnect
	self
		assert: (self comet url: 'http://www.pusher.com/'; connect)
		equals: 'new Comet("http://www.pusher.com/").connect()'! !

!CTCometTest methodsFor: 'testing' stamp: 'lr 3/16/2009 19:24'!
testDisconnect
	self
		assert: (self comet url: 'http://www.pusher.com/'; disconnect)
		equals: 'new Comet("http://www.pusher.com/").disconnect()'! !
